
CoCoA-5 - Design #1626

NewMat: should be obsolescent?

29 Oct 2021 19:17 - John Abbott

Status: Feedback Start date: 29 Oct 2021

Priority: Normal Due date:  

Assignee: John Abbott % Done: 90%

Category: CoCoA-4 function: obsolete Estimated time: 0.77 hour

Target version: CoCoA-5.4.2 Spent time: 0.50 hour

Description

What are the differences between NewMat and ZeroMat.

The manual entry for NewMat suggests that it is almost obsolescent.

Should it actually be obsolescent?

History

#1 - 15 Jan 2024 19:42 - John Abbott

Yes, we should make NewMat obsolete/backward-compatible-only.

This should be an easy change (don't forget the doc too!)

#2 - 19 Jan 2024 18:11 - John Abbott

- Status changed from New to Feedback

- Assignee set to John Abbott

- % Done changed from 0 to 90

- Estimated time set to 0.77 h

JAA has revised the manual entry, and changed calls in packages to ZeroMat

Anna will revise the defn in BackwardCompatible.cpkg to call ZeroMat or NewMatFilled according to number of args.

Maybe make it obsolescent ??
